UpdateConfiguration
Updates the scan configuration for your Amazon Inspector account. If you don't specify an
accountId, this operation updates the delegated administrator's configuration
and propagates it to member accounts that have not been individually configured. If you
specify an accountId, this operation updates that member account's
configuration. Only the delegated administrator can specify an accountId;
member accounts cannot call this operation.
Request Syntax
POST /configuration/update HTTP/1.1
Content-type: application/json
{
"accountId": "string",
"ec2Configuration": {
"activateVMScanner": boolean,
"scanMode": "string"
},
"ecrConfiguration": {
"pullDateRescanDuration": "string",
"pullDateRescanMode": "string",
"rescanDuration": "string"
},
"updateConfigurationInheritance": {
"ec2Configuration": "string",
"ecrConfiguration": "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- accountId
-
The 12-digit AWS account ID of the member account whose scan configuration you want to update. When specified, you must be the delegated administrator for this member account. If not specified, the operation updates your own configuration and propagates changes to any member accounts that have not been individually configured.
Type: String
Length Constraints: Fixed length of 12.
Pattern:
\d{12}Required: No
- ec2Configuration
-
Specifies how the Amazon EC2 automated scan will be updated for your environment.
Type: Ec2Configuration object
Required: No
- ecrConfiguration
-
Specifies how the ECR automated re-scan will be updated for your environment.
Type: EcrConfiguration object
Required: No
- updateConfigurationInheritance
-
Specifies which scan-type configurations to reset to the delegated administrator's inherited values for the targeted member account. Each member of this structure is independently optional. When specified,
ec2ConfigurationandecrConfigurationmust be absent, andaccountIdmust also be present. OnlyINHERIT_FROM_ADMINis valid for each member. If not specified, the operation uses theec2ConfigurationandecrConfigurationparameters instead.Type: UpdateConfigurationInheritance object
Required: No
Response Syntax
HTTP/1.1 200
Response Elements
If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
For
Enable, you receive this error if you attempt to use a feature in an unsupported AWS Region.HTTP Status Code: 403
- InternalServerException
-
The request has failed due to an internal failure of the Amazon Inspector service.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 500
- ThrottlingException
-
The limit on the number of requests per second was exceeded.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 429
- ValidationException
-
The request has failed validation due to missing required fields or having invalid inputs.
- fields
-
The fields that failed validation.
- reason
-
The reason for the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: